﻿using System;
using System.Windows.Forms;
using HealthyFood.Business;

namespace HealthyFood
{
	public partial class BrandDialog : Form
	{
		public BrandDialog()
		{
			InitializeComponent();

			Text = "Добавяне на марка";
		}

		public BrandDialog(Brand brand)
		{
			InitializeComponent();

			Text = "Редактиране на марка";
			tbName.Text = brand.Name;
			tbDescription.Text = brand.Description;
		}

		public string BrandName
		{
			get { return tbName.Text; }
		}

		public string Description
		{
			get { return tbDescription.Text; }
		}

		private void UpdateControls()
		{
			btnOK.Enabled = !string.IsNullOrEmpty(tbName.Text);
		}

		private void tbName_TextChanged(object sender, EventArgs e)
		{
			UpdateControls();
		}
	}
}
