﻿using System;
using System.Windows.Forms;
using HealthyFood.Business;

namespace HealthyFood
{
	public partial class ProducerDialog : Form
	{
		public ProducerDialog()
		{
			InitializeComponent();

			Text = "Добавяне на производител";
		}

		public ProducerDialog(Producer producer)
		{
			InitializeComponent();

			Text = "Редактиране на производител";
			tbName.Text = producer.Name;
			tbCountry.Text = producer.Country;
		}

		public string ProducerName
		{
			get { return tbName.Text; }
		}

		public string Country
		{
			get { return tbCountry.Text; }
		}

		public void UpdateControls()
		{
			btnOK.Enabled = !string.IsNullOrEmpty(tbName.Text);
		}

		private void tbName_TextChanged(object sender, EventArgs e)
		{
			UpdateControls();
		}
	}
}
