﻿using System;
using System.Windows.Forms;
using HealthyFood.Business;

namespace HealthyFood
{
	static class Program
	{
		private static Session _session;

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main()
		{
			_session = new Session();
			Application.EnableVisualStyles();
			Application.SetCompatibleTextRenderingDefault(false);
			Application.Run(new MainForm());
		}

		internal static Session Session
		{
			get { return _session; }
		}
	}
}
